#ifndef OCEANOPTICSXOP_H
#define OCEANOPTICSXOP_H

#ifdef _WIN32
	#define WIN32
#else
	#define MACOSX
#endif

#include "Wrapper.h"
#include "ArrayTypes.h"
#include "XOPStandardHeaders.h"			// Include ANSI headers, Mac headers, IgorXOP.h, XOP.h and XOPSupport.h
#include <string>

Wrapper *globalWrapperPtr;			// Only one Ocean Optics wrapper can be in existence
									// since the XOP code only runs occasionally we set a global
									// pointer to the wrapper object
									// the object is initialized if globalWrapperPtr != NULL
									// the wrapper object is to be allocated when listing and opening spectrometers is requested
									// and deleted when the spectrometers are to be closed

HOST_IMPORT int main(IORecHandle ioRecHandle);

#endif
